Bug 522060 - gnome-display-properties mirror screen not working
Summary: gnome-display-properties mirror screen not working
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Control Center Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 522858 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-09 10:54 UTC by bernard.godard
Modified: 2010-12-05 06:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:27:47 UTC


Attachments (Terms of Use)
stacktrace (7.43 KB, text/plain)
2009-09-11 08:45 UTC, bernard.godard
no flags Details

Description bernard.godard 2009-09-09 10:54:33 UTC
Description of problem:
Using ATI Mobility Radeon x700 (dri2 and kms enabled) on a laptop with an external LCD momitor the option "mirror screen" does not work. Nothing happens and gnome-display-properties is killed. I can however use gnome-display properties to put the LCD left or right of the internal laptop screen.

Version-Release number of selected component (if applicable): - 


How reproducible:
always with my laptop and external LCD monitor



Steps to Reproduce:
1. Open gnome-display-properties
2. click mirror screen option
  
Actual results:
gnome-display-properties is killed.
screen configuration is unchanged
messages in the terminal :
_______________________

$ gnome-display-properties 
**
display-properties:ERROR:xrandr-capplet.c:551:rebuild_resolution_combo: code should not be reached
Aborted
________________________


Expected results:
External monitor should mirror laptop screen

Additional info:

screen capabilities:
______________________________
$ xrandr -q
Screen 0: minimum 320 x 200, current 1680 x 1050, maximum 4096 x 4096
VGA-0 connected 1680x1050+0+0 (normal left inverted right x axis y axis) 474mm x 296mm
   1680x1050      60.0*+   60.0  
   1400x1050      60.0  
   1280x1024      75.0     60.0  
   1440x900       60.0  
   1280x960       60.0  
   1152x864       75.0     75.0  
   1024x768       75.1     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        72.8     75.0     66.7     60.0  
   720x400        70.1  
LVDS connected 1280x800+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1280x800       60.0*+
   1024x768       60.0  
   800x600        60.3     56.2  
   640x480        59.9  
______________________________

However I can obtain mirroring with the following command:

xrandr --output LDVS --auto --output VGA-0 --auto --same-as LDVS

Then I get the laptop screen showing only the upper left part of the virtual screen because of the differences in resolution.

This is the result, I would expect of gnome-display-properties

Comment 1 Matthias Clasen 2009-09-09 23:19:43 UTC
Can you try to run this under gdb, and get a stacktrace ?

Comment 2 bernard.godard 2009-09-11 08:45:14 UTC
Created attachment 360647 [details]
stacktrace

attached stack trace

Comment 3 Matthias Clasen 2009-09-12 02:42:45 UTC
*** Bug 522858 has been marked as a duplicate of this bug. ***

Comment 4 Matthias Clasen 2009-09-30 13:59:59 UTC
Fixed in 2.28.0-12.fc12

Comment 5 Bug Zapper 2009-11-16 12:05:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 bernard.godard 2010-01-16 17:41:41 UTC
At the moment, I am running on same hardware FC12 64 bits version + updates from testing and kernel-2.6.32.3-24.fc12.x86_64 from Koji
http://koji.fedoraproject.org/koji/buildinfo?buildID=150696 with dependencies and mirror screen is working perfectly.

Comment 7 Bug Zapper 2010-11-04 10:09:45 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2010-12-05 06:27:47 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.